## fcitx-sunpinyin 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(fcitx-sunpinyin)

include(CPack)

FIND_PACKAGE(Gettext REQUIRED)
FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
FIND_PROGRAM(INTLTOOL_UPDATE intltool-update)
FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

set(HAVE_CONFIG_H)

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

=== data/CMakeLists.txt ===
add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${CMAKE_CURRENT_SOURCE_DIR})

add_custom_target(desc ALL DEPENDS desc.po)

install(FILES fcitx-sunpinyin.conf DESTINATION share/fcitx/data/addon)
install(FILES fcitx-sunpinyin.desc DESTINATION share/fcitx/data/addon)
install(FILES sunpinyin-logo.png DESTINATION share/fcitx/skin/dark RENAME fcitx-sunpinyin.png)
install(FILES sunpinyin-logo-small.png DESTINATION share/fcitx/skin/default RENAME fcitx-sunpinyin.png)
install(FILES sunpinyin-logo-small.png DESTINATION share/fcitx/skin/classic RENAME fcitx-sunpinyin.png)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po) 

set(POT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/fcitx-sunpinyin.pot)


add_custom_command(
    OUTPUT ${POT_FILE}
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_SOURCE_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-sunpinyin --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== src/CMakeLists.txt ===
include(FindPkgConfig)

PKG_CHECK_MODULES(SUNPINYIN REQUIRED "sunpinyin-2.0 >= 2.0" )
PKG_CHECK_MODULES(FCITX_CONFIG REQUIRED "fcitx-config >= 1.0" )
PKG_CHECK_MODULES(FCITX REQUIRED "fcitx" )

include_directories (${SUNPINYIN_INCLUDE_DIRS})
include_directories (${FCITX_CONFIG_INCLUDE_DIRS})
include_directories (${FCITX_INCLUDE_DIRS})

set( fcitx_sunpinyin_sources
    eim.cpp
    handler.cpp
    config.cpp
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

add_library( fcitx-sunpinyin MODULE ${fcitx_sunpinyin_sources} )
set_target_properties( fcitx-sunpinyin PROPERTIES PREFIX "")

install(TARGETS fcitx-sunpinyin DESTINATION ${libdir}/fcitx/)

target_link_libraries (fcitx-sunpinyin ${SUNPINYIN_LIBRARIES})
target_link_libraries (fcitx-sunpinyin ${FCITX_CONFIG_LIBRARIES})
target_link_libraries (fcitx-sunpinyin ${FCITX_LIBRARIES})

=== debian/changelog ===
fcitx-sunpinyin (0.2.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports, no change needed.

 -- Aron Xu <aron@debian.org>  Wed, 22 Jun 2011 18:06:59 +0800

fcitx-sunpinyin (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #604023) 

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 09 Mar 2011 23:26:26 +0800

=== debian/control ===
Source: fcitx-sunpinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <happyaron.xu@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), cmake, intltool, pkg-config,
 fcitx (>= 1:4.0.1),
 libsqlite3-dev,
 libsunpinyin-dev (>=2.0.2),
 libx11-dev,
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/fcitx
Vcs-Bzr: lp:~pkg-ime/ibus/debian-fcitx-sunpinyin
Vcs-Browser: https://code.launchpad.net/~pkg-ime/ibus/debian-fcitx-sunpinyin

Package: fcitx-sunpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sunpinyin-data
Description: fcitx wrapper for Sunpinyin IM engine
 fcitx-sunpinyin is a wrapper for Sunpinyin IM engine.
 .
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_build:
	rm -rf debian/po
	mkdir debian/po
	cp po/*.po debian/po/
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	cp debian/po/*.po po/
	rm -rf debian/po

override_dh_makeshlibs:

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/fcitx-sunpinyin-(\d+.*)\.tar\.gz

## fcitx-sunpinyin 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(fcitx-sunpinyin)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(ENABLE_TEST "enable function test" Off)

FIND_PACKAGE(Libintl REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(Fcitx REQUIRED)

PKG_CHECK_MODULES(SUNPINYIN REQUIRED "sunpinyin-2.0 >= 2.0.4" )

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

set(HAVE_CONFIG_H)

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)
if (ENABLE_TEST)
    enable_testing()
    add_subdirectory(test)
endif (ENABLE_TEST)

=== debian/changelog ===
fcitx-sunpinyin (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 23 Sep 2011 22:27:55 +0800

=== debian/control ===
Source: fcitx-sunpinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>
Build-Depends: debhelper (>= 8), cmake, intltool, pkg-config,
 fcitx-libs-dev, libsqlite3-dev, libsunpinyin-dev (>= 2.0.3-4), libx11-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-sunpinyin.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-sunpinyin.git

Package: fcitx-sunpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sunpinyin-data
Description: fcitx wrapper for Sunpinyin IM engine
 fcitx-sunpinyin is a wrapper for Sunpinyin IM engine.
 .
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/fcitx-sunpinyin-(\d+.*)\.tar\.bz2

## fcitx-sunpinyin 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 FIND_PACKAGE(Libintl REQUIRED)
 FIND_PACKAGE(Gettext REQUIRED)
-FIND_PACKAGE(Fcitx REQUIRED)
+FIND_PACKAGE(Fcitx  4.1.2 REQUIRED)
 
 PKG_CHECK_MODULES(SUNPINYIN REQUIRED "sunpinyin-2.0 >= 2.0.4" )

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-sunpinyin.conf)
fcitx_add_configdesc_file(fcitx-sunpinyin.desc)

foreach(size 16 22 24 32 48 128)
    install(FILES sunpinyin-logo-${size}.png RENAME fcitx-sunpinyin.png DESTINATION share/icons/hicolor/${size}x${size}/apps)
endforeach(size 16 22 24 32 48 128)
install(FILES sunpinyin-logo-22.png DESTINATION share/fcitx/skin/dark RENAME sunpinyin.png)
install(FILES sunpinyin-logo-16.png DESTINATION share/fcitx/skin/default RENAME sunpinyin.png)
install(FILES sunpinyin-logo-16.png DESTINATION share/fcitx/skin/classic RENAME sunpinyin.png)

=== po/CMakeLists.txt ===
set(PO_FILES zh_CN.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "") 

set(POT_FILE fcitx-sunpinyin.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${PROJECT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS getdescpo)

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-sunpinyin --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po ${CMAKE_CURRENT_BINARY_DIR}/desc.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== src/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)

include_directories (
    ${SUNPINYIN_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
    )

link_directories (${SUNPINYIN_LIBRARY_DIRS})

set( fcitx_sunpinyin_sources
    eim.cpp
    handler.cpp
    config.cpp
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon(fcitx-sunpinyin ${fcitx_sunpinyin_sources} )
target_link_libraries (fcitx-sunpinyin
                       ${SUNPINYIN_LIBRARIES}
                       ${LIBINTL_LIBRARIES}
                       )

=== debian/changelog ===
fcitx-sunpinyin (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Mon, 03 Oct 2011 01:19:29 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>
+Uploaders: Aron Xu <aron@debian.org>, Yunqiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 8), cmake, intltool, pkg-config,
  fcitx-libs-dev, libsqlite3-dev, libsunpinyin-dev (>= 2.0.3-4), libx11-dev
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_configure:
	dh_auto_configure -- \
	-DENABLE_TEST=ON
override_dh_makeshlibs:

## fcitx-sunpinyin 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 project(fcitx-sunpinyin)
 
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
 option(ENABLE_TEST "enable function test" Off)
 
 FIND_PACKAGE(Libintl REQUIRED)
 FIND_PACKAGE(Gettext REQUIRED)
-FIND_PACKAGE(Fcitx  4.1.2 REQUIRED)
+FIND_PACKAGE(Fcitx 4.2.0 REQUIRED)
 
 PKG_CHECK_MODULES(SUNPINYIN REQUIRED "sunpinyin-2.0 >= 2.0.4" )

=== debian/changelog ===
fcitx-sunpinyin (0.3.3-1) unstable; urgency=low

  * New upstream release: fcitx 4.2.0. 

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 05 Feb 2012 21:23:55 +0800

fcitx-sunpinyin (0.3.2-2) unstable; urgency=low

  * debian/patches/01-fix_shuangpin_fuzzy.patch:
    [UPSTREAM] Fix a problem in the fuzzy functionality.

 -- Aron Xu <aron@debian.org>  Fri, 21 Oct 2011 16:42:11 +0800

## fcitx-sunpinyin 0.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,11 @@
 FIND_PACKAGE(Libintl REQUIRED)
 FIND_PACKAGE(Gettext REQUIRED)
 FIND_PACKAGE(Fcitx 4.2.0 REQUIRED)
+find_package(Sunpinyin REQUIRED)
 
-PKG_CHECK_MODULES(SUNPINYIN REQUIRED "sunpinyin-2.0 >= 2.0.4" )
+string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" FCITX4_MAJOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" FCITX4_MINOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" FCITX4_PATCH_VERSION "${FCITX4_VERSION}")
 
 # uninstall target
 configure_file(
@@ -30,9 +33,12 @@
     set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
 endif()
 
-set(HAVE_CONFIG_H)
+set(libdir ${LIB_INSTALL_DIR})
 
-set(libdir ${LIB_INSTALL_DIR})
+
+configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/config.h")
 
 add_subdirectory(src)
 add_subdirectory(data)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(PO_FILES zh_CN.po)
+file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
 file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
 if ("${REL_SOURCE_ROOT}" STREQUAL "")
     set(REL_SOURCE_ROOT ".")

=== debian/changelog ===
fcitx-sunpinyin (0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 18 Mar 2012 22:29:46 +0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, Yunqiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 8), cmake, intltool, pkg-config,
- fcitx-libs-dev, libsqlite3-dev, libsunpinyin-dev (>= 2.0.3-4), libx11-dev
-Standards-Version: 3.9.2
+Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8), cmake, intltool, pkg-config, libx11-dev,
+ fcitx-libs-dev (>= 1:4.2.0), libsqlite3-dev, libsunpinyin-dev (>= 2.0.3-4)
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-sunpinyin.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-sunpinyin.git

## fcitx-sunpinyin 0.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 FIND_PACKAGE(Libintl REQUIRED)
 FIND_PACKAGE(Gettext REQUIRED)
-FIND_PACKAGE(Fcitx 4.2.0 REQUIRED)
+FIND_PACKAGE(Fcitx 4.2.4 REQUIRED)
 find_package(Sunpinyin REQUIRED)
 
 string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" FCITX4_MAJOR_VERSION "${FCITX4_VERSION}")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 fcitx_add_addon_conf_file(fcitx-sunpinyin.conf)
 fcitx_add_configdesc_file(fcitx-sunpinyin.desc)
+
+fcitx_add_inputmethod_conf_file(sunpinyin.conf)
 
 foreach(size 16 22 24 32 48 128)
     install(FILES sunpinyin-logo-${size}.png RENAME fcitx-sunpinyin.png DESTINATION share/icons/hicolor/${size}x${size}/apps)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
-find_package(PkgConfig REQUIRED)
-
 include_directories (
-    ${SUNPINYIN_INCLUDE_DIRS}
+    ${PROJECT_BINARY_DIR}
+    ${SUNPINYIN_INCLUDE_DIR}
     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
     ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
     ${FCITX4_FCITX_INCLUDE_DIRS}

=== debian/changelog ===
fcitx-sunpinyin (0.3.7-1) unstable; urgency=low

  * Imported Upstream version 0.3.7

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 06 Jun 2012 16:20:22 +0800

fcitx-sunpinyin (0.3.6-1) unstable; urgency=low

  * Fix debian/watch: googlecode
  * remove 0001-01-lower_sunpinyin_version.patch.patch
  * Imported Upstream version 0.3.6

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 17:04:40 +0800

fcitx-sunpinyin (0.3.5-1) unstable; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 10 Apr 2012 16:53:12 +0800

fcitx-sunpinyin (0.3.4-2) unstable; urgency=low

  * Recommends: fcitx (Closes: 667449).

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 04 Apr 2012 17:43:19 +0800

fcitx-sunpinyin (0.3.4-1+build1) unstable; urgency=low

  * Rebuild for Multi-arched sunpinyin. 

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 03 Apr 2012 23:27:22 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, intltool, pkg-config, libx11-dev,
- fcitx-libs-dev (>= 1:4.2.0), libsqlite3-dev, libsunpinyin-dev (>= 2.0.3-4)
+ fcitx-libs-dev (>= 1:4.2.0), libsqlite3-dev, libsunpinyin-dev (>= 2.0.3+git20120605)
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-sunpinyin.git
@@ -14,6 +14,7 @@
 Package: fcitx-sunpinyin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, sunpinyin-data
+Recommends: fcitx
 Description: fcitx wrapper for Sunpinyin IM engine
  fcitx-sunpinyin is a wrapper for Sunpinyin IM engine.
  .

## fcitx-sunpinyin 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(fcitx-sunpinyin)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

option(ENABLE_TEST "enable function test" Off)

find_package(Libintl REQUIRED)
find_package(Fcitx 4.2.7 REQUIRED)
find_package(Sunpinyin REQUIRED)

_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

set(libdir ${LIB_INSTALL_DIR})

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h")

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(data)
if(ENABLE_TEST)
  enable_testing()
  add_subdirectory(test)
endif()

=== data/CMakeLists.txt ===
foreach(size 16 22 24 32 48 128)
  install(FILES sunpinyin-logo-${size}.png
    RENAME fcitx-sunpinyin.png
    DESTINATION share/icons/hicolor/${size}x${size}/apps)
endforeach()

install(FILES sunpinyin-logo-16.png
  DESTINATION share/fcitx/skin/default RENAME sunpinyin.png)
install(FILES sunpinyin-logo-16.png
  DESTINATION share/fcitx/skin/classic RENAME sunpinyin.png)
install(FILES sunpinyin-logo-22.png
  DESTINATION share/fcitx/skin/dark RENAME sunpinyin.png)
install(FILES sunpinyin-logo-48.png
  DESTINATION share/fcitx/imicon RENAME sunpinyin.png)

=== po/CMakeLists.txt ===
set(PO_LANGS de zh_CN zh_TW ja)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-sunpinyin fcitx-sunpinyin.pot)

=== src/CMakeLists.txt ===
include_directories(
  ${PROJECT_BINARY_DIR}
  ${SUNPINYIN_INCLUDE_DIR}
  ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
  ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
  ${FCITX4_FCITX_INCLUDE_DIRS}
  ${LIBINTL_INCLUDE_DIR}
  )

link_directories(${SUNPINYIN_LIBRARY_DIRS})

set(fcitx_sunpinyin_sources
  eim.cpp
  handler.cpp
  config.cpp
  )

add_definitions(-DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\")

fcitx_add_addon_full(sunpinyin
DESC
SOURCES ${fcitx_sunpinyin_sources}
IM_CONFIG sunpinyin.conf
LINK_LIBS ${SUNPINYIN_LIBRARIES} ${LIBINTL_LIBRARIES}
)

=== debian/changelog ===
fcitx-sunpinyin (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 02 Aug 2013 14:51:36 +0800

fcitx-sunpinyin (0.4.0-1) unstable; urgency=low

  * Imported Upstream version 0.4.0

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 15 Feb 2013 18:49:38 +0800

fcitx-sunpinyin (0.3.9-1) experimental; urgency=low

  * Imported Upstream version 0.3.9

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 28 Sep 2012 16:00:09 +0800

fcitx-sunpinyin (0.3.8-1) experimental; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Sat, 11 Aug 2012 20:04:25 +0800

=== debian/control ===
Source: fcitx-sunpinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), cmake, fcitx-bin, pkg-config, libx11-dev,
 fcitx-libs-dev (>= 1:4.2.8), libsqlite3-dev, libsunpinyin-dev (>= 2.0.3+git20120605)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-sunpinyin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-sunpinyin.git

Package: fcitx-sunpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sunpinyin-data
Recommends: fcitx (>= 1:4.2.8)
Description: fcitx wrapper for Sunpinyin IM engine
 fcitx-sunpinyin is a wrapper for Sunpinyin IM engine.
 .
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@
override_dh_makeshlibs:

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-sunpinyin-*\.*(.*)\.tar\.xz

## fcitx-sunpinyin 0.4.2

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-sunpinyin fcitx-sunpinyin.pot)

=== test/CMakeLists.txt ===
include_directories(${SUNPINYIN_INCLUDE_DIRS})
link_directories(${SUNPINYIN_LIBRARY_DIRS})

add_executable(shuangpin_decode shuangpin_decode.cpp)
target_link_libraries(shuangpin_decode ${SUNPINYIN_LIBRARIES})

add_test(shuangpin_decode shuangpin_decode)

=== debian/changelog ===
fcitx-sunpinyin (0.4.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112903)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:54:00 +0300

fcitx-sunpinyin (0.4.2-3) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.6.1.
    + Bump debhelper-compat to v13.
    + Update homepage to GitHub project.
  * debian/rules: Modernize packaging with dh13.
  * debian/patches: Backport upstream commits till 2022-06-02.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 15:14:39 -0400

fcitx-sunpinyin (0.4.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.1.5. (no changes needed)
    + Bump debhelper compat to v11.
    + Use debian-input-method mailing list in maintainer field.
      Closes: #899506.
    + Use git repo on Salsa platform in Vcs fields.
    + Mark fcitx-sunpinnyin as M-A: same.
  * debian/rules: Use "dh_missing --fail-missing".
  * debian/copyright: Refresh information.
  * debian/changelog: Remove trailing spaces.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 09 Jul 2018 18:26:48 +0800

fcitx-sunpinyin (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh packaging instructions.
    + Apply "wrap-and-sort -abst".
    + Bump Standards-Version to 4.1.0.
    + Bump debhelper compat to v10.
    + Bump libsunpinyin version requirement.
    + Bump fcitx version requirement.
    + Use canonical Vcs URL.
    + Use GitHub as homepage.
  * Enable full hardening.
  * Point d/watch to download.fcitx-im.org.
  * Refresh d/copyright information.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 29 Sep 2017 11:30:57 +0800

=== debian/control ===
Source: fcitx-sunpinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.9),
 libsqlite3-dev,
 libsunpinyin-dev (>= 3.0.0~git20160910),
 libx11-dev,
 pkg-config,
Standards-Version: 4.6.0
Homepage: https://github.com/fcitx/fcitx-sunpinyin
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-sunpinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-sunpinyin

Package: fcitx-sunpinyin
Architecture: any
Multi-Arch: same
Depends:
 sunpinyin-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.9),
Description: fcitx wrapper for Sunpinyin IM engine
 fcitx-sunpinyin is a wrapper for Sunpinyin IM engine.
 .
 Sunpinyin is a statistical language model (SLM) based input method
 engine for Simplified Chinese, it features full sentence input.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_makeshlibs:

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-sunpinyin/ \
 fcitx-sunpinyin-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
